//
// my_app.h
//


#ifndef _MY_APP_H_
#define _MY_APP_H_

#include <Application.h>
#include <InterfaceKit.h>
#include <Joystick.h>
#include <List.h>
#include <Bitmap.h>

class my_app : public BApplication {
public:
	my_app();

	void			ReadyToRun();
	void			MessageReceived(
						BMessage		*inMsg);
	void			ArgvReceived(
						int32			inArgc,
						char			**inArgv);

	BList			mJoystick;
	BList			mJoystickName;

private:
	
	static long		ThreadEntry(
						void			*msgPtr);
	thread_id		mMameThreadId;
	BMessage		mStartArgs;
	class CSelWin*	mSelWin;
};


#endif	// _MY_APP_H_

